## ros-noetic-smclib 1.8.6

=== debian/changelog ===
ros-noetic-smclib (1.8.6-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 28 Aug 2020 05:00:00 -0000

ros-noetic-smclib (1.8.5-1focal) focal; urgency=high

  * Use setuptools instead of distutils (#61 <https://github.com/ros/bond_core/issues/61>)
  * Bump CMake minimum version to use CMP0048 (#58 <https://github.com/ros/bond_core/issues/58>)
  * Contributors: Alejandro Hernández Cordero, Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2020 05:00:00 -0000

ros-noetic-smclib (1.8.4-1focal) focal; urgency=high

  * remove windows.h to avoid namespace pollutions. (#46 <https://github.com/ros/bond_core/issues/46>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: James Xu, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-smclib (1.8.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-noetic-smclib (1.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 05:00:00 -0000

ros-noetic-smclib (1.8.1-1focal) focal; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-noetic-smclib (1.8.0-1focal) focal; urgency=high

  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-noetic-smclib (1.7.19-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-noetic-smclib (1.7.18-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-noetic-smclib (1.7.17-1focal) focal; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 05:00:00 -0000

ros-noetic-smclib (1.7.16-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-noetic-smclib (1.7.15-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 28 Oct 2014 05:00:00 -0000

ros-noetic-smclib (1.7.14-1focal) focal; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Thu, 08 May 2014 05:00:00 -0000

ros-noetic-smclib (1.7.13-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 21 Aug 2013 05:00:00 -0000

ros-noetic-smclib (1.7.12-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Jun 2013 05:00:00 -0000

ros-noetic-smclib (1.7.11-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 13 Mar 2013 05:00:00 -0000

ros-noetic-smclib (1.7.10-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-noetic-smclib (1.7.9-1focal) focal; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Dec 2012 06:00:00 -0000

ros-noetic-smclib (1.7.8-1focal) focal; urgency=high

  * update setup() to use generate_distutils_setup
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2012 06:00:00 -0000

ros-noetic-smclib (1.7.7-1focal) focal; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * removed executable bit from header file
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Thu, 06 Dec 2012 06:00:00 -0000

ros-noetic-smclib (1.7.6-1focal) focal; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 30 Oct 2012 05:00:00 -0000

ros-noetic-smclib (1.7.5-1focal) focal; urgency=high

  * clean up package.xml files
  * updated setup.py files
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 27 Oct 2012 05:00:00 -0000

ros-noetic-smclib (1.7.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sat, 06 Oct 2012 05:00:00 -0000

ros-noetic-smclib (1.7.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 05:19:00 -0000

ros-noetic-smclib (1.7.2-1focal) focal; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 05:06:00 -0000

ros-noetic-smclib (1.7.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2012 00:00:00 -0000

ros-noetic-smclib (1.7.0-1focal) focal; urgency=high

  * catkinize bond
  * Downloading smclib from code.ros.org
    --HG--
    extra : rebase_source : d17dff0350b44646e6a952fc2cc883156ba9f4a4
  * Moving bond into common
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4032634
  * Contributors: Stuart Glaser, Vincent Rabaud, sglaser

 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Oct 2012 21:51:00 -0000
